Subject: Re: bug#17190: 24.4.50; fill-flow checks quoted lines after deleting leading space

From: Kazuhiro Ito <[email-masked]>
Date: Thu, 15 Aug 2019 18:59:55 +0900

> > When I evaluate the below code, I receive unexpected result.
> >
> > (with-temp-buffer
> >   (require 'flow-fill)
> >   (insert " > ABC \nDEF\n")
> >   (fill-flowed)
> >   ;; (mime-display-text/plain-flowed)
> >   (buffer-string))
> >
> > ->
> > "> ABC 
> > DEF
> > "
> > But I expect the below result.
> >
> > "> ABC DEF
> > "
> 
> If I'm reading
> 
> https://tools.ietf.org/html/rfc2646
> 
> right, that's not how this is supposed to work, and `fill-flowed' does
> it correctly -- it's supposed to flow together lines that have the same
> quotation level, like this:

Please beware Space-Stuffing at the first line.  The first line is not
quoted one.  " > ABC " and "DEF" have the same quotation level.

-- 
Kazuhiro Ito